// subPackage/home/pages/plus/plus.js
const app = getApp()
const wxService = require('../../../../utils/wxService')
import { Integer } from '../../../../utils/integerDigitalConvertion'

wxService.page({

  /**
   * 页面的初始数据
   */
  data: {
    skuVOList:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
  
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getPlusPurchase()
  },

  // 获取plus购买信息
  getPlusPurchase(){
    wxService.get(`/sale/premium/query`).then(res => {
      const { result, data } = res.data
      if (result == 0) {
        this.setData({
          skuVOList: data
        })
      }
    }).finally(() => {
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    let tentacleInfo = {
      content: 'plus购买页',
      title: 'plus购买页',
      contentType: app.globalData.contants.SHARE_TYPE.PLUS,
      type: 3// 1:门店,2:员工(暂时不做),3:会员,4:第三方外部渠道,5:智能营销
    };
    wxService.getTentacleContent(tentacleInfo).then(res => {
      if (res && res.tentacleId) {
        let tentacleId = Integer.digit(res.tentacleId, 10, 64);
        var path = `subPackage/page/pages/plus/plus?t=${tentacleId}`;
        return {
          path: path
        }
      }
    });
  }
})
